Vraag & Antwoord

OS Linux

[SuSE 8.0] Probleem met OpenGL

Anoniem
Marcel de Reus
70 antwoorden
  • Sax2 doet het gewoon weer om 1 of andere vage reden.
    De nVidia readme had ik al gelezen maar daar kom ik dus niet uit :(
    Ik kan de file die verkeert verwijst die MVE bedoelt niet vinden :(
    Ik zie idd een mesasoft en een libGL.so.1 in mijn /usr/lib/GL
    En als ik het goed begrijp is er dus ergens een symlink die naar de mesasoft wijst ipv naar de libGL.so.1 maar welke symlink? :-?
  • Wacht ff hij heet libGL.so.1.0.2960.nv glx ipv gewoon libGL.so.1

    libGL.so.1 die staat in /usr/lib/ en die verwijst idd naar /usr/lib/GL/libGL.so.1.0.2960.nv glx
    dus dat lijkt me goed.
  • [quote:766a25616b="Marcel de Reus"]Idd maar ik denk dat ik liever binnenkort es Linux From Scatch ga proberen. Dat is weer net ff meer puur dan Gentoo.
    Ik heb ff gekeken en de lib verwijst idd naar MESA.
    Ik hoef alleen nog te weten hoe ik hem wijzig en waarnaar ie moet wijzen.[/quote:766a25616b]

    Tja, da's een verschil in smaak, of je LFS of Gentoo prefereert.

    Ik stond ook voor de keuze maar ben blij dat ik Gentoo heb genomen, gewoon omdat het wat "gemakkelijker" is. Vanwege het "packagesysteem".
  • [quote:f476c18652="knopper"][quote:f476c18652="Marcel de Reus"]Idd maar ik denk dat ik liever binnenkort es Linux From Scatch ga proberen. Dat is weer net ff meer puur dan Gentoo.
    Ik heb ff gekeken en de lib verwijst idd naar MESA.
    Ik hoef alleen nog te weten hoe ik hem wijzig en waarnaar ie moet wijzen.[/quote:f476c18652]

    Tja, da's een verschil in smaak, of je LFS of Gentoo prefereert.

    Ik stond ook voor de keuze maar ben blij dat ik Gentoo heb genomen, gewoon omdat het wat "gemakkelijker" is. Vanwege het "packagesysteem".[/quote:f476c18652]

    Ik wil er juist veel van leren en weinig gemak :)
    Maar het duurt nog wel ff voordat ik LSF ga draaien hoor. Ik heb niet voor niets SuSE 8.0 Pro gekocht.
    Als ik het BTW goedbegrijp heb je in LSF geen enkel configuratietooltje meer zoals YAST?
  • [quote:712b612fb8="Marcel de Reus"]
    Ik wil er juist veel van leren en weinig gemak :)
    Maar het duurt nog wel ff voordat ik LSF ga draaien hoor. Ik heb niet voor niets SuSE 8.0 Pro gekocht.
    Als ik het BTW goedbegrijp heb je in LSF geen enkel configuratietooltje meer zoals YAST?[/quote:712b612fb8]

    Nee, je hebt geen enkel configuratietooltje meer in LFS en ook niet in Gentoo. Leuk he? :wink:
  • Marcel, ik stel voor dat je eerst Redhat probeert. Redhat heeft de mogelijkheid om tijdens het installeren aan te vinken, dat 'alles' wordt geïnstalleerd. Dus ideaal om te oefenen met compileren.
    Redhat 7.3 kun je bestellen bij http://www.munnikes.nl/
    Ze verkopen er ook Gentoo en LFS en vermelden erbij dat deze beide niet geschikt zijn voor beginners. :roll:


    Ik heb Redhat 7.3 met Nederlandstalige gebruiksaanwijzing gekocht bij
    http://www.comcol.nl//bestel/sicxlc_a.hts#9603g :)
  • [quote:98146cc62a="jolo"]Marcel, ik stel voor dat je eerst Redhat probeert. Redhat heeft de mogelijkheid om tijdens het installeren aan te vinken, dat 'alles' wordt geïnstalleerd. Dus ideaal om te oefenen met compileren.
    …[/quote:98146cc62a]
    Dat kan toch ook met SuSE 8.0 Pro (die hij reeds gekocht heeft).
  • [quote:2a9a9acd51="marcelk"][quote:2a9a9acd51="jolo"]Marcel, ik stel voor dat je eerst Redhat probeert. Redhat heeft de mogelijkheid om tijdens het installeren aan te vinken, dat 'alles' wordt geïnstalleerd. Dus ideaal om te oefenen met compileren.
    …[/quote:2a9a9acd51]
    Dat kan toch ook met SuSE 8.0 Pro (die hij reeds gekocht heeft).[/quote:2a9a9acd51]
    Zelf vind ik SuSE 8.0 Pro niet zo geschikt om compileren te oefenen.
    SuSE 8.0 Pro is bedoelt als een kant en klaar product waar zo min mogelijk aan gecompileerd hoeft te worden. En valt trouwens buiten de 90 dagen installatie support. :roll:
    http://www.suse.de/en/support/inst_support/support_overview.html
  • Ik heb RedHat 7.3 hier al thuis liggen met Nederlandse documentatie op CD, maar ik hou het voorlopig ff bij SuSE.
    BTW ik zit nog steeds met mijn probleem :(
  • [quote:0ce662934c="kajutsa"]UT= Unreal Tournament ;)

    BTW. jij dacht toch dat ik problemen zou krijgen met mijn GF4 ti in Mandrake? Ik draai nu SuSE 8.0 (ja ik ben een overloper ;) ) en alles werkt goed tot nu toe… misschien is SuSE 8.0 ook wel wat voor jou![/quote:0ce662934c] Als je even naar boven scrolt naar een post van mij op Zo Jul 28, 2002 10:22 pm dan kun je lezen dat ik SuSE 8.0 al heb.
    Unreal Tournament levert 0 items op. :roll:
    [edit]
    Maar ik heb intussen even gekeken op http://www.unrealtournament.com/linux/ en begrijp nu wat Marcel bedoelt. :wink:
    [edit]
  • [quote:3b8c3246ec="Marcel de Reus"]Ik heb RedHat 7.3 hier al thuis liggen met Nederlandse documentatie op CD, maar ik hou het voorlopig ff bij SuSE.
    BTW ik zit nog steeds met mijn probleem :([/quote:3b8c3246ec] Bedoel je dat OpenGL probleem? Dat leek toch opgelost? :roll:
    [quote:3b8c3246ec="Marcel de Reus"]Wacht ff hij heet libGL.so.1.0.2960.nv glx ipv gewoon libGL.so.1

    libGL.so.1 die staat in /usr/lib/ en die verwijst idd naar /usr/lib/GL/libGL.so.1.0.2960.nv glx
    dus dat lijkt me goed.
    [/quote:3b8c3246ec]
    Ik heb hier nog wat getest: de TV-OUT van mijn Gforce4 Ti4200 VIVO.
    Onder Slackware 8.1 en Redhat 7.3 werken de monitor en de TV-OUT goed met de tar.gz sources van Nvidia. (compiled met make)
    Onder SuSE 8.0 daarentegen werkt de TV-OUT nog niet.
    Mandrake 8.2 is nog ‘under construction’. :wink:
  • Ja het OpenGL probleem.
    Het blijkt dus niet opgelost, awnt ik kan die symlink niet vinden die verkeerd staat :(
    Quake 3 doet het daarom niet.
    Het is dus waarschijnlijk het probleem wat MVE beschreef maar ook met de nVidia FAQ kom ik er niet uit :(
  • [quote:82e4e38d0f="Marcel de Reus"]Ja het OpenGL probleem.
    Het blijkt dus niet opgelost, awnt ik kan die symlink niet vinden die verkeerd staat :(
    Quake 3 doet het daarom niet.
    Het is dus waarschijnlijk het probleem wat MVE beschreef maar ook met de nVidia FAQ kom ik er niet uit :([/quote:82e4e38d0f] Het Quake 3 probleem dat MVE beschreef, zie topic:
    http://forum.computertotaal.nl/phpBB/viewtopic.php?t=61080&highlight=quake

    Quake 3 faq
    http://zerowing.idsoftware.com/linux/q3a/#gameso

    Test OpenGL install:
    http://www.lokigames.com/support/gldrivers/howto-3d-3dfx.html#step5

    Waar heb je die Quake 3 demo gedownload? Was het een RPM? :roll:
  • Nee het was een .sh bestand.
    Ik heb hem vanaf idsoftware gedownload.
    Ik zal de links dadelijk is ff gaan bekijken, harstikke bedankt.
  • Marcel, mogelijk staat hier wat je zoekt: http://www.quake3world.com/ubb/Forum15/HTML/001857.html

    Ik heb Quake 3 demo gedownload (ca. 70kbytes/s) op:
    http://rpmfind.net//linux/RPM/freshrpms/valhalla/quake3/quake3-1.31-fr1.i386.html

    Maar als ik ‘m start:
    cd /usr/bin/
    ./quake3
    [code:1:c9286bd23f]
    jolo@linux:/usr/bin> ./quake3
    Q3 1.31 linux-i386 Dec 17 2001
    —– FS_Startup —–
    Current search path:
    /home/jolo/.q3a/baseq3
    /usr/games/quake3/baseq3/pak5.pk3 (7 files)
    /usr/games/quake3/baseq3/pak4.pk3 (272 files)
    /usr/games/quake3/baseq3/pak3.pk3 (4 files)
    /usr/games/quake3/baseq3/pak2.pk3 (148 files)
    /usr/games/quake3/baseq3/pak1.pk3 (26 files)
    /usr/games/quake3/baseq3
    ./quake3.x86/baseq3

    ———————-
    457 files in pk3 files

    Running in restricted demo mode.

    —– FS_Startup —–
    Current search path:
    /home/jolo/.q3a/demota
    /usr/games/quake3/demota
    ./quake3.x86/demota

    ———————-
    457 files in pk3 files
    —– CL_Shutdown —–
    ———————–
    —– CL_Shutdown —–
    ———————–
    Sys_Error: Couldn't load default.cfg
    jolo@linux:/usr/bin>
    [/code:1:c9286bd23f]:o
    Er is op mijn SuSE partitie maar één default.cfg
    /usr/share/games/armagtron/default.cfg :roll:
  • Ik krijg dit:

    [quote:4580f3f562]marcel@linux:~> q3demo
    Q3 1.11 linux-i386 Dec 4 1999
    —– FS_Startup —–
    Current search path:
    /home/marcel/.q3a/baseq3
    ./baseq3

    ———————-

    Running in restricted demo mode.

    —– FS_Startup —–
    Current search path:
    /home/marcel/.q3a/demoq3
    ./demoq3/pak0.pk3 (1387 files)
    ./demoq3

    ———————-
    execing default.cfg
    execing q3config.cfg
    couldn't exec autoexec.cfg
    —– Client Initialization —–
    —– Initializing Renderer —-
    ——————————-
    —– Client Initialization Complete —–
    — Common Initialization Complete —
    Opening IP socket: localhost:27960
    Hostname: linux.local
    Alias: linux
    IP: 127.0.0.2
    —– R_Init —–
    …loading libGL.so: QGL_Init: Can't load libGL.so from /etc/ld.so.conf or current dir: /usr/local/games/q3demo/libGL.so: cannot open shared object file: No such file or directory
    failed
    …loading libMesaVoodooGL.so: QGL_Init: Can't load libMesaVoodooGL.so from /etc/ld.so.conf or current dir: /usr/local/games/q3demo/libMesaVoodooGL.so: cannot open shared object file: No such file or directory
    failed
    —– CL_Shutdown —–
    RE_Shutdown( 1 )
    ———————–
    —– CL_Shutdown —–
    ———————–
    Error: GLimp_Init() - could not load OpenGL subsystem

    marcel@linux:~>
    [/quote:4580f3f562]

    Maar ik ga zodadelijk UT kopen en als die gewoon draait ligt het dus waarschijnlijk toch aan de demo.
  • [quote:47a9d47a88="Marcel de Reus"]Maar ik ga zodadelijk UT kopen en als die gewoon draait ligt het dus waarschijnlijk toch aan de demo.[/quote:47a9d47a88]
    Hm, zo te zien heb jij een oudere versie Q3 1.11 dan ik Q3 1.31
    Maar jij heb dus wel een default.cfg

    Bedoel je UT kopen in een reguliere winkel. Daar verkopen ze toch meestal alleen Windows spellen. :)
  • UT draait zowel in winddoos als linux zei marcel, dus ben benieuwd! Ik heb zaterdag hem ook gehaald en in winddoos geïnstalleerd, als hij bij marcel ook werkt in linux ga ik het ook proberen :)
  • [quote:09581e341c="kajutsa"]UT draait zowel in winddoos als linux zei marcel, dus ben benieuwd! Ik heb zaterdag hem ook gehaald en in winddoos geïnstalleerd, als hij bij marcel ook werkt in linux ga ik het ook proberen :)[/quote:09581e341c] Dan zal Marcel UT onder SuSE Wine bedoelen. http://www.linuxdoos.com/~linux/linux_artikelen.php?sid=32&mode=flat
    Welk spel is UT eigenlijk. Het zoeken van UT in software op www.comcol.nl levert wel 942 items op. :)
  • UT= Unreal Tournament ;)

    BTW. jij dacht toch dat ik problemen zou krijgen met mijn GF4 ti in Mandrake? Ik draai nu SuSE 8.0 (ja ik ben een overloper ;) ) en alles werkt goed tot nu toe… misschien is SuSE 8.0 ook wel wat voor jou!

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.